Loading...
Searching...
No Matches
juce::universal_midi_packets::BytestreamToBytestreamHandler::Factory Class Reference

`#include <juce_UMPBytestreamInputHandler.h>`

## Public Member Functions

| Factory (MidiInputCallback *c)
std::unique_ptr< BytestreamToBytestreamHandler > | operator() (MidiInput &i) const

## Detailed Description

Provides an operator() which can create an input handler for a given MidiInput.

All handler classes should have a similar Factory to facilitate creation of handlers in generic contexts.

Definition at line 59 of file juce_UMPBytestreamInputHandler.h.

## Constructor & Destructor Documentation

## Factory()

juce::universal_midi_packets::BytestreamToBytestreamHandler::Factory::Factory | ( | MidiInputCallback * | c | ) |

inline explicit

Definition at line 62 of file juce_UMPBytestreamInputHandler.h.

## Member Function Documentation

## operator()()

std::unique_ptr< BytestreamToBytestreamHandler > juce::universal_midi_packets::BytestreamToBytestreamHandler::Factory::operator() | ( | MidiInput & | i | ) | const

inline

Definition at line 65 of file juce_UMPBytestreamInputHandler.h.

The documentation for this class was generated from the following file:

- juce_UMPBytestreamInputHandler.h